.fit {
  width: 100vw;
  height: 100vh;
}

body {
  font-family: "Roboto", cursive;
  background-color: #0f0e0e;
}

main {
  overflow: hidden;
}

.loader-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 2;
  background-color: #0f0e0e;
  padding: 0 20px;
  text-align: center;
  opacity: 1;
  transition: 1s ease-in;
  transition-delay: .5s;
}

.played .loader-wrapper {
  pointer-events: none;
  opacity: 0;
}

.loader-text {
  animation: forwards fadeInTop 5s;
}

.played .loader-text {
  animation: forwards fadeOutTop 1s;
  pointer-events: none;
}

.loader {
  background: url(img/clouds.jpg) left center;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  color: #fff;
  font-family: "Audiowide", cursive;
  font-size: 98px;
  animation: infinite moveLeft 50s linear;
}

.loader-wrapper .more {
  font-size: 12px;
  font-weight: bold;
  color: #f1f1f1;
  text-align: center;
  opacity: 0; 
  margin-top: 10px;
}

.loaded .more {
  animation: forwards fadeInTop 5s;
}

.played .more {
  opacity: 100;
  animation: forwards fadeOutTop .5s;
  animation-delay: .5s
}

.lds-holder {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.loaded .lds-holder {
  animation: forwards fadeOutTop 1s;
  pointer-events: none;
}

#play-holder {
  right: 0;
  top: 0;
  position: absolute;
}

.lds-ripple {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
  transform: scale(.5);
}

.lds-ripple.for-play {
  opacity: 0;
  transform: translateY(-200px);
  transition: .5s ease-in-out;
}

.loaded .lds-ripple.for-play {
  opacity: 1;
  transform: translateY(0);
}

.lds-ripple div {
  position: absolute;
  border: 4px solid #fff;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}

.main-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  background: url(img/garo-mafyan.jpg) center 0 no-repeat;
  background-size: cover;
  opacity: 0;
  transition: .5s ease-in-out;
  transform: scale(1.1);
  transition-delay: .5s;
}

.played .main-section {
  opacity: 100;
  transform: scale(1);
}

.main-section .logo {
  opacity: 0;
  font-size: 24px;
  background-color: rgba(0, 0, 0, .8);
  padding: 8px 12px;
  font-family: "Audiowide", cursive;
  color: #fff;
  transform: translateX(100%);
  transition: 1s ease-in-out;
  transition-delay: 1s;
  z-index: 2;
}

.main-section .uc-text {
  opacity: 0;
  font-size: 18px;
  font-family: "Great Vibes", cursive;
  -webkit-font-smoothing: antialiased;
  color: #fff;
  transform: translateX(100%);
  transition: 1s ease-in-out;
  transition-delay: 1.3s;
  z-index: 2;
  margin-top: -5px;
  margin-right: 10px;
}

.main-section .overlay {
  position: absolute;
  top: 0;
  left: 0;
  background: rgb(10,0,0);
  background: linear-gradient(50deg, rgba(10,0,0,0) 0%, rgba(8,0,0,0) 10%, rgba(0,0,0,1) 100%);
}

.played .main-section .logo {
  transform: translateX(0);
  opacity: 100;
}

.played .main-section .uc-text {
  transform: translateX(0);
  opacity: 100;
}

@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  4.9% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  5% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}

@keyframes moveLeft {
  from {
    background-position-x: 0;
  }
  to {
    background-position-x: 100%;
  }
}

@keyframes dot-falling {
  0% {
    box-shadow: 9999px -15px 0 0 rgba(152, 128, 255, 0);
  }
  25%,
  50%,
  75% {
    box-shadow: 9999px 0 0 0 #9880ff;
  }
  100% {
    box-shadow: 9999px 15px 0 0 rgba(152, 128, 255, 0);
  }
}
@keyframes dot-falling-before {
  0% {
    box-shadow: 9984px -15px 0 0 rgba(152, 128, 255, 0);
  }
  25%,
  50%,
  75% {
    box-shadow: 9984px 0 0 0 #9880ff;
  }
  100% {
    box-shadow: 9984px 15px 0 0 rgba(152, 128, 255, 0);
  }
}
@keyframes dot-falling-after {
  0% {
    box-shadow: 10014px -15px 0 0 rgba(152, 128, 255, 0);
  }
  25%,
  50%,
  75% {
    box-shadow: 10014px 0 0 0 #9880ff;
  }
  100% {
    box-shadow: 10014px 15px 0 0 rgba(152, 128, 255, 0);
  }
}

@keyframes fadeInTop {
  0% { opacity: 0; transform: translateY(20px); }
  100% { opacity: 100; transform: translateY(0); }
}

@keyframes fadeOutTop {
  0% { opacity: 100; transform: translateY(0); }
  100% { opacity: 0; transform: translateY(-50px); }
}

@media screen and (max-width: 1100px) {
  .loader-text .loader {
    font-size: 72px;
  }
}

@media screen and (min-width: 940px) {
  .main-section {
    background-size: contain;
  }
  .lds-holder { margin-bottom: 50px; }
}

@media screen and (max-width: 768px) {
  .loader-text .loader {
    font-size: 56px;
  }
}

@media screen and (max-width: 640px) {
  .loader-text .loader {
    font-size: 48px;
  }
}

@media (orientation: landscape) {
  .main-section {
    background-size: cover;
  }
}

@media (orientation: portrait) {
  .main-section {
    background-size: cover;
    background-position-x: 25%;
    justify-content: flex-end;
    align-items: center;
    padding-bottom: 35%;
  }
  .main-section .overlay {
    background: rgb(10,0,0);
    background: linear-gradient(180deg, rgba(10,0,0,0) 0%, rgba(8,0,0,0) 20%, rgba(0,0,0,1) 100%);
  }
  .main-section .logo {
    transform: translateY(300px);
  }
  .played .main-section .logo {
    transform: translateY(0);
  }
}